<!-- Spinner -->
<ngx-spinner [name]='"manifests"' [fullScreen]="true" bdColor="#f5f5f583" size="medium" type="ball-fussion" color="#EDAE49"></ngx-spinner>

<div class="card dialog-content" style="padding: 2%">
    <!-- Title -->
    <mat-label style="display: flex; justify-content: center; margin-top: 4%">
        <mat-icon style="margin-right: 9px">description</mat-icon>
        <h1>Manifests of instance with id: {{ data.id }}</h1>
    </mat-label>
    
    <!-- Code Block -->
    <div class="code-box mat-elevation-z4">
        <!-- Copy button in the top-right corner -->
        <button mat-icon-button class="copy-button" (click)="copyToClipboard()" matTooltip="Copy code">
          <mat-icon>content_copy</mat-icon>
        </button>
      
        <!-- Code content with scrollable overflow -->
        <pre>{{ data.manifests }}</pre>
      </div>
</div>


